/* COMMON STYLES */
nav{
    background-color: rgba(0, 0, 0, 0.103);
    font-family: 'Poppins', sans-serif;
}

.nav-link{
    color: #3C4B64 !important;
}

.nav-link.active{
    color: #6031D9 !important;
}

.navbar-collapse{
    text-align: center;
}

.navbar-brand{
    color: white;
    font-weight: 600;
    text-shadow: 2px 5px 6px rgba(255, 255, 255, 0.384),
           0px -5px 9px rgba(255, 255, 255, 0.397); 
}

.navbar-toggler-icon{
    background-color: black;
}



/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {

    nav{
        padding: 10% 15px;
    }

    .navbar-collapse{
        font-size: 1.1em;
    }

    .navbar-brand{
        font-size: 1.8em !important; 
    }
}






/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) { 

    nav{
        padding: 20px 5px;
    }

    .navbar-collapse{
        display: none !important;
        font-size: 1.1em;
        font-weight: 300;
    }

    .navbar-brand{
        font-size: 2.5em;
    }

    .nav-link{
        font-weight: 300;
        border-bottom: 3px solid transparent;
        transition: all .2s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    }

    .nav-link.active, .nav-link:hover{
        border-bottom: 3px solid #6031D9;
    }

    .nav-link.active{
        font-weight: 600;
        text-shadow: 2px 4px 6px rgba(0,0,0,0.2),
               0px -5px 8px rgba(255,255,255,0.3);
    }
}